Skip to content

Remind me later

POST
/api/v1/charges/snooze
curl --request POST \
--url http://127.0.0.1:8484/api/v1/charges/snooze \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "chargeId": "example", "days": 1, "dryRun": true, "kind": "reminder" }'

Brings a reminder, a keep-or-cancel question or a was-it-charged question about a charge back in a few days at the reminder time. It never comes back too late: a reminder at the latest on the charge date, a keep-or-cancel question on the last day to cancel.

Media typeapplication/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
chargeId
required
string
days
required
integer format: int64
>= 1 <= 30
dryRun
boolean
kind
required
string
Allowed values: reminder decision confirm

OK

Media typeapplication/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
alreadyPlanned
required
boolean
at
required
string format: date-time
chargeId
required
string
clamped
required
boolean
dryRun
boolean
kind
required
string
on
required
string

Example

{
"$schema": "https://example.com/api/schemas/SnoozeResult.json"
}

Error

Media typeapplication/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"$schema": "https://example.com/api/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}